Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 537774 - Last rites: app-admin/eselect-nxserver, net-misc/{neatx,nxcl,nxclient,nxnode,nxsadmin,nxserver-freeedition,nxserver-freenx,qtnx} [was net-misc/{nxcl,qtnx} still uses berlios.de]
Summary: Last rites: app-admin/eselect-nxserver, net-misc/{neatx,nxcl,nxclient,nxnode,...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: NX Server Herd
URL:
Whiteboard: Pending Removal: 2015-04-26
Keywords: PMASKED
: 537778 (view as bug list)
Depends on:
Blocks: berlios.de
  Show dependency tree
 
Reported: 2015-01-25 23:44 UTC by Jeroen Roovers (RETIRED)
Modified: 2015-04-26 12:28 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers (RETIRED) gentoo-dev 2015-01-25 23:44:17 UTC
grep berlios *.ebuild
nxcl-0.9-r1.ebuild:HOMEPAGE="http://developer.berlios.de/projects/freenx/"
nxcl-0.9-r1.ebuild:SRC_URI="mirror://berlios/freenx/${MY_P}.tar.bz2"
nxcl-0.9-r2.ebuild:HOMEPAGE="http://developer.berlios.de/projects/freenx/"
nxcl-0.9-r2.ebuild:SRC_URI="mirror://berlios/freenx/${MY_P}.tar.bz2"
Comment 1 Pacho Ramos gentoo-dev 2015-02-26 17:10:46 UTC
As explained at mailing list:
"> net-misc/qtnx & net-misc/nxcl (bug #537774 & #537778)
Both ebuilds fetch the same source code and my first though was we have
the same package under two different names. I might be wrong here as i
didn't looked into it. However since the last change was 03/2008 i'll
consider it dead and i think they should be removed."
Comment 2 Bernard Cafarelli gentoo-dev 2015-03-03 15:44:34 UTC
*** Bug 537778 has been marked as a duplicate of this bug. ***
Comment 3 Bernard Cafarelli gentoo-dev 2015-03-03 15:50:15 UTC
Same source tarball, but different ${S} (and different build system) 
nxcl was intended as a generic library, but only qtnx was built on top of it

As for qtnx, it is the only open-source client in-tree for "old" NX servers, and still does its job.
But if we drop packages according to last upstream release, most of the "old" NX packages should be treecleaned too as they have dead upstreams since 2011 (best case):
net-⁠misc/⁠neatx (server, 2010)
net-⁠misc/⁠nxcl (client lib, 2008)
net-⁠misc/⁠{nxclient-⁠3*,nxnode,nxserver-⁠freeedition} (proprietary, 2011)
net-⁠misc/⁠nxsadmin (server admin tool, 2008)
net-⁠misc/⁠nxserver-⁠freenx (server, 2009)
net-⁠misc/⁠qtnx (client, 2008)

and

app-⁠admin/⁠eselect-⁠nxserver (not used in x2go)

The active replacement (though not drop-in) is x2go for an open-source setup, and NX 4 for proprietary (not in tree, bug #488334)

I'm thinking of turning this bug in a large last rites for these packages, and move them to the NX overlay for those still using them (if any)
Comment 4 Pacho Ramos gentoo-dev 2015-03-07 11:10:59 UTC
Feel free to help with that, I am fully overloaded to handle all treecleaner requests more fast :S
Comment 5 Bernard Cafarelli gentoo-dev 2015-03-11 09:31:32 UTC
Don't worry I will handle all of it, sorry if it was not clear in my previous message :) I'll try to push nxplayer in tree before starting the last rites though
Comment 6 Bernard Cafarelli gentoo-dev 2015-03-26 16:11:30 UTC
# Bernard Cafarelli <voyageur@gentoo.org> (26 Mar 2015)
# Dead upstreams, not working in some use cases, 
# compatibility with current net-misc/nx not guaranteed,
# some bundle old binary Xorg code that may be vulnerable,
# modern alternative exist:
# net-misc/x2go{client,server} and proprietary NX 4 (bug #488334)
# These packages are now available in the NX overlay
# Removal in a month (bug #537774)
app-admin/eselect-nxserver
net-misc/neatx
net-misc/nxcl
net-misc/nxclient
net-misc/nxnode
net-misc/nxsadmin
net-misc/nxserver-freeedition
net-misc/nxserver-freenx
net-misc/qtnx
Comment 7 Pacho Ramos gentoo-dev 2015-04-26 12:28:09 UTC
removed